import requests
import argparse  

def call_api(query_text, api_url="http://60.165.238.181:1111/ask"):
    try:
        response = requests.post(api_url, json={"query": query_text})
        response.raise_for_status()
        return response.json()
    except requests.exceptions.RequestException as e:
        raise Exception(f"API调用失败: {str(e)}")

# 如果直接运行此文件，使用命令行参数
if __name__ == "__main__":
    parser = argparse.ArgumentParser(description='发送查询到 API')
    parser.add_argument('query', type=str, help='要发送的查询')
    args = parser.parse_args()
    
    try:
        result = call_api(args.query)
        print("响应结果:", result['result']['answer'])
        print("响应类型:", type(result['result']['answer']))
    except Exception as e:
        print("错误:", str(e))